Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4291 - tetex doesn't uninstall properly
Summary: tetex doesn't uninstall properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tetex
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-31 20:27 UTC by nelson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-14 20:00:04 UTC


Attachments (Terms of Use)

Description nelson 1999-07-31 20:27:08 UTC
uninstalling tetex when installed with rpm 3.0.2 doesn't
quite work right. Errors are:

$ rpm --erase `rpm -qa | grep tetex`
cannot remove /var/lib/texmf - directory not empty
removal of /usr/lib/rhs/rhs-printfilters/dvi-to-ps.fpi
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/hyperref/hdvipson.def
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/hyperref/hdvips.def
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/graphics/dvipsone.def
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/graphics/dvipsnam.def
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/graphics/dvips.def
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/dvilj/hpfonts.sty
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/dvilj/graybox.sty
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/dvilj/cgunivers.sty
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/dvilj/cgtimes.sty
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/dvilj/cggothic.sty
failed: No such file or directory
removal of /usr/share/texmf/tex/latex/dvilj/cgcourier.sty
failed: No such file or directory
removal of
/usr/share/texmf/tex/latex/dvilj/cgantiqueolive.sty failed:
No such file or directory
removal of /usr/share/texmf/tex/latex/dvilj/cgalbertus.sty
failed: No such file or directory

Comment 1 Jeff Johnson 1999-07-31 23:09:59 UTC
This is a manifestation of a different problem. During a tetex
upograde, rpm incorrectly removed shared files (of which there
are many in tetex). When you uninstalled tetex, the already
removed files were detected. I suspect that rpm uninstalled the
package correctly.

To avoid this problem in the future, upgrade to rpm-3.0.2-6.0.
You will then be able to install/uninstall tetex w/o problem.

Please reopen this bug if I'm incorrect.

Comment 2 nelson 1999-08-01 03:06:59 UTC
I am running rpm-3.0.2-6.0, this bug occurs there with tetex RPMs from
Redhat 5.2, 6.0, and Rawhde. Also, this error occurs when removing
tetex after it was installed clean, not just an upgrade.

Comment 3 Jeff Johnson 1999-08-14 20:00:59 UTC
This is an rpm, not a tetex, problem, and will be fixed in rpm-3.0.3.
When removing multiple packages as part of a transaction set, rpm
was attempting to remove files shared between packages in the
transaction set on each occurence rather than the last occurence.


Note You need to log in before you can comment on or make changes to this bug.